1. Introduction

Welcome to Nalyst, your trusted companion in the world of Machine Learning and Data Science. Tailored for data analysts, professionals, and researchers, Nalyst emerges as a robust and user-friendly library, streamlining your journey through the intricacies of data analysis. Empower yourself with a comprehensive toolkit featuring Linear Regression, Logistic Regression, K-means Clustering, PCA, Decision Trees, Train Test Split, and advanced scaling techniques like Min Max Scaling, MaxAbs Scaling, and Standard Scaling. With Nalyst, elevate your efficiency in training, analyzing, and evaluating models.

1. Features

Linear Regression: A versatile set of tools for constructing and dissecting linear regression models.

Logistic Regression: Dive into a range of tools for crafting and scrutinizing logistic regression models.

K-means: Effortlessly cluster data into k clusters, unraveling patterns and insights.

PCA: Dimensionality reduction tool preserving essential features, enhancing model performance.

Decision Tree: Construct and analyze decision trees, gaining clarity in complex decision-making.

Train Test Split: Flexibly split data into training and testing sets for robust model evaluation.

Scaling Tools: Choose from Min Max Scaling, MaxAbs Scaling, and Standard Scaling for flexible data normalization.

Quick Model Training: Swiftly and easily train machine learning models, saving valuable time and effort.

1. Installation Package

To install the library, simply run the following command in your terminal:

```text
pip install nalyst
pip install --upgrade nalyst
pip show nalyst
```

4. Import Dependencies

```
import numpy as np
import matplotlib.pyplot as plt
import yfinance as yf
import pyttsx3
import yfinance as yf
import datetime
```

5. Importing Packages

```text
from nalyst.LinearRegression import LinearRegression
from nalyst.MultipleLinearRegression import MultipleLinearRegression
from nalyst.Matrix_Least_Squares_Regression import Matrix_Least_Squares_Regression
from nalyst.LogisticRegression import LogisticRegression
from nalyst.KMeans import KMeans
from nalyst.PCA import PCA
from nalyst.MaxAbsScaler import MaxAbsScaler
from nalyst.MinMaxScaler import MinMaxScaler
from nalyst.StandardScaler import StandardScaler
from nalyst.train_test_split import train_test_split
from nalyst.BetaFive import calculate_beta_five
from nalyst.BetaMax import calculate_beta_max
from nalyst.SMA import SimpleMovingAverage
from nalyst.EMA import ExponentialMovingAverage
```

6. Support

For assistance or inquiries, reach out to us. Note that the integrated audio architecture doesn't support Google Colab or cloud systems.

7. COMMUNICATION

Explore and engage with us on GitHub: https://github.com/AnalyticalHarry

Embark on your data science journey with Nalyst, where simplicity meets power.
